<div class="panel panel-primary">
    <div class="panel-heading"><h3>{{paper?.paperDetails.title}}</h3></div>
    <div class="panel panel-info">
        <div class="panel-heading" style="font-style:italic;">by {{paper?.paperDetails.author}}</div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">Mainfield</div>
      <div class="panel-body">
        {{mainFieldLabel}}
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">Subfield</div>
      <div class="panel-body">
        {{subFieldLabel}}
      </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">Abstract</div>
          <div class="panel-body">
              {{paper?.paperDetails.abstract}}
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">Paper Price</div>
          <div class="panel-body">
              {{ paper?.paperDetails.price }} Microether
        </div>
    </div>
    <div class="panel panel-default" *ngIf="paperReviewable">
        <div class="panel-heading">Free Reviewslots</div>
          <div class="panel-body">
              {{ paper?.paperDetails.reviewSlots }}
        </div>
    </div>
    <div class="panel panel-default" *ngIf="paperReviewable">
        <div class="panel-heading">Review Reward </div>
          <div class="panel-body">
              {{ paper?.paperDetails.reviewPrice }} Microether
        </div>
    </div>
    <div class="panel panel-default" *ngIf="paperReviewable">
        <div class="panel-heading">Review Deadline</div>
          <div class="panel-body">
              {{ paper?.paperDetails.reviewDeadline | date : 'dd.MM.yyyy' }}
        </div>
    </div>
    <div class="panel-footer" *ngIf="paper">
      <button class="btn btn-default" *ngIf="!currentUserAuthor && !currentUserBoughtPaper" (click)="buyPaper()">Buy</button>
      <a [routerLink]="['/review-request', paper?.paperIpfsHashIdentification]"
      style="cursor: pointer;">
        <button class="btn btn-success" *ngIf="!currentUserAuthor && currentUserBoughtPaper && paperReviewable && reviewStatus===undefined">Send review request</button>
      </a>
      <a *ngIf="reviewersReview" [routerLink]="['reviews', reviewersReview?.requestIpfsHash]"
      style="cursor: ponter;">
        <button class="btn btn-success" *ngIf="!currentUserAuthor && currentUserBoughtPaper && paperReviewable && reviewStatus===1">Upload review</button>
      </a>
      <a target="_blank" [href]="paperURL">
        <button class="btn btn-default" *ngIf="currentUserAuthor  || currentUserBoughtPaper">Download</button>
      </a>
      <a [routerLink]="['/edit-paper', paper.paperIpfsHashIdentification]">
        <button class="btn btn-warning" *ngIf="currentUserAuthor">Update Paper</button>
      </a>
      <button class="btn btn-warning" *ngIf="currentUserAuthor && !paperFinal" (click)="setPaperToFinal()">Set Final</button>
    </div>
    <div class="panel panel-info" *ngIf="paper?.reviews.length > 0">
      <div class="panel-heading">
        Reviews for the Paper
      </div>
      <div class="panel-body">
        <app-review-states-list [paper]="paper"></app-review-states-list>
      </div>
    </div>
</div>

